package com.maintain.business.service;

import com.maintain.business.domain.ErpMaintainProject;
import com.maintain.business.domain.vo.ErpMaintainProjectVo;
import com.maintain.business.domain.bo.ErpMaintainProjectBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 维修项目Service接口
 *
 * @author liushuai
 * @date 2025-03-28
 */
public interface IErpMaintainProjectService {

    /**
     * 查询维修项目
     */
    ErpMaintainProjectVo queryById(Long id);

    /**
     * 查询维修项目列表
     */
    TableDataInfo<ErpMaintainProjectVo> queryPageList(ErpMaintainProjectBo bo, PageQuery pageQuery);

    /**
     * 查询维修项目列表
     */
    List<ErpMaintainProjectVo> queryList(ErpMaintainProjectBo bo);

    /**
     * 新增维修项目
     */
    Boolean insertByBo(ErpMaintainProjectBo bo);

    /**
     * 修改维修项目
     */
    Boolean updateByBo(ErpMaintainProjectBo bo);

    /**
     * 校验并批量删除维修项目信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
